#
# spec file for package python-napalm-procurve
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2019, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# python-napalm is python3 only
%define skip_python2 1
Name:           python-napalm-procurve
Version:        0.7.0
Release:        6.8
Summary:        NAPALM - HP ProCurve network driver
License:        Apache-2.0
URL:            https://github.com/ixs/napalm-procurve
Source:         https://github.com/ixs/napalm-procurve/archive/%{version}.tar.gz#/napalm-procurve-%{version}.tar.gz
Patch0:         setup-parse-requirements.patch
#PATCH-FIX-UPSTREAM https://github.com/ixs/napalm-procurve/pull/29 float speed
Patch1:         float-speed.patch
#PATCH-FIX-OPENSUSE fix-linter.patch remove pyflakes from code lint because it's failing
Patch2:         fix-linter.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module napalm >= 3.0.0}
BuildRequires:  %{python_module netmiko}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-napalm >= 3.0.0
Requires:       python-netmiko
BuildArch:      noarch
%python_subpackages

%description
ProCurve driver support for Napalm network automation.

%prep
%setup -q -n napalm-procurve-%{version}
%autopatch -p1

sed -i -e '/addopts/d' setup.cfg

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# gh#ixs/napalm-procurve#19
# gh#ixs/napalm-procurve#30
%pytest -k 'not (test_method_signatures or test_get_config_filtered or test_get_facts)'

%files %{python_files}
%license LICENSE
%doc AUTHORS README.md
%{python_sitelib}/napalm_procurve
%{python_sitelib}/napalm_procurve-%{version}*-info

%changelog
* Wed Jan 11 2023 Matej Cepl <mcepl@suse.com>
- Skip failing test test_get_facts (gh#ixs/napalm-procurve#30).
* Wed Oct  5 2022 Daniel Garcia <daniel.garcia@suse.com>
- Add fix-linter.patch to remove pyflakes code check. Some files fails with the
  newer version of pyflakes.
* Sat Aug 27 2022 Markéta Machová <mmachova@suse.com>
- Fix the tests with float-speed.patch, sent upstream.
* Mon Sep 13 2021 Matej Cepl <mcepl@suse.com>
- Skip failing tests gh#ixs/napalm-procurve#19.
* Tue Mar 16 2021 Steve Kowalik <steven.kowalik@suse.com>
- Add setup-parse-requirements.patch to use the correct property for
  recent pip versions.
* Fri Jul 31 2020 Martin Hauke <mardnh@gmx.de>
- Update to 0.7.0
  * Rework connection method
* Mon Jul 20 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.6.0
  * Napalm 3 compatibility
- Drop napalm3.patch
* Fri May 15 2020 Marketa Calabkova <mcalabkova@suse.com>
- add patch napalm3.patch
  * make the package compatible with python-napalm 3.0.0
* Mon Mar 30 2020 pgajdos@suse.com
- version update to 0.5.0
  * no upstream changelog found
* Tue Oct  8 2019 Martin Hauke <mardnh@gmx.de>
- Initial package, version 0.4.0
